Herzlich Willkommen!

1-abc.net Personal Calendar
Let your computer remind you on important appointments!

Let us be honest: Do we not all forget important dates and appointments from time to time? Meeting friends, doctor’s appointments, visit relatives, sports training, birthdays, weddings … there are so many things to organize and it is not always easy to keep best overview.

This can be so much easier with 1-abc.net Personal Calendar. With this program you can organize as many appointments as you wish, and your computer will show you a reminding message automatically.

4 kinds of entries are available. Reminding for one time may be one of the most used, but also reminding options like on a special day of the month, on a special day of the week or each x days or weeks are very useful features that make reminding much more effective than before. Independent from the kind of entry you can also determine a special reminding time in hours, minutes and seconds.

Another nice option is that you can execute any file you want together with the reminding message. This could be your personal calculation file that you want to fill in each Friday, this could be a music file when you want to visit a concert or a photograph of your nephew on his birthday. There is no limit how to use this option!

This program requires only very few system resources and runs nearly unrecognizable in the background. Anyway, whenever you need it you can always execute it from the systray icon at the right bottom of the screen. The data base is based on SQLite, so you can additionally organize your data with many other SQLite programs.

Concentrate on the really important things in your life and let 1-abc.net Personal Calendar do the annoying work of organizing reminders for you!

Features:

  • Very easy-to-use interface
  • Enter, edit or remove your appointments, changes are saved automatically
  • Overview window for all dates you entered
  • Screen to enter your appointments with name of entry, reminding message and day of reminding
  • Editable path to save the contact data base to other places
  • Sorting with one click feature for all appointments
  • All changes can be saved to an editable history file
  • Print calendar entries or history data via network or on a local printer
  • Editable path to save the contact data base to other places
  • Editable path for the history file
  • Export your appointments to *.txt, *.csv or *.sqlite
  • Switch between different time formats
  • Easy selection of default reminding days like tomorrow, in one week in one year and so on
  • Be reminded one time per year for regular repeating appointments
  • Full screen mode for better overview can be started automatically
  • Reminding message preview
  • Add Windows default features like Clean Manager or system logoff to be executed automatically
  • Determine background and text colour of your appointments list
  • Configure messages to remind you on regular backups of your calendar data
  • Program can also be installed on USB sticks, camera cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer and Documentation: Stefan Siegert
Copyright 2005-2015 1-abc.net


Before you start working with this program ...

This program saves changes you do on your data directly, so please do not delete or change anything just for fun. From time to time it could make sense to save a copy of the data base file to another place. The file is called '1abcnet_Personal_Calendar.sqlite' and can be found in the program folder or the folder that was determined or specified by you in the 'Path Settings' screen. You can also use the export features from the 'File' menu to save your appointments or you can be reminded by the program to make a backup of it regularly. This feature can be configured from the 'Options' screen

Important hint for Windows Vista / 7 / 8 users: If you select a folder for your data base or for the history where you only have limited access to because of activated User Account Control (UAC) like the program folder, your entries will probably be lost the next time you start the program. For that reason, the program automatically finds a path for these files where you have unlimited access to.

The 1-abc.net team wishes you much fun with this product!


Using the main screen

To work with 1-abc.net Personal Calendar is very easy. Here you can see how the main screen looks:

There are 4 different tabs - 'Overview', 'Add / edit data', 'Path Settings' and 'Options' - that can be accessed by clicking on it. If it makes sense, they will also change automatically. For maximizing or minimizing the main screen, you can easily use the buttons at the right top of the screen.

'Overview'

Here you get an overview about the data in your data base. By default your entries are sorted after date and time which makes sense most of the time. If you like to change the order you can easily click a column head for sorting after Name, File to execute or whatever.

After displaying a reminding message regular entries are changed automatically to the next date and may change their position in this list. One time reminders are removed from the list after the reminding message was displayed as long as you did not configure the program different in the 'Options' screen.

If you want to add a new entry, you can click on 'Add Entry', then you will automatically come to the 'Add/edit data' screen where you can enter it. When you select an entry to edit from the list, the same will happen as if you double-click on it: Again you will come to the 'Add/edit data' screen, but of course it is filled with the data base entry you just selected. For deleting any entry, please select it, click on 'Remove Entry', confirm the warning message and your entry is removed easily. This also works for multiple entries when you multi-select different reminders.

'Add/edit data'

Here you can see and edit each single entry. You can scroll forward or back with the spin buttons at the bottom of the screen. Each change you do here is saved automatically. At the left bottom of the dialog there is a button to see a preview of your reminding message with today's date. You can also add a file or a path to be executed together with your reminding message or you can select one of many Windows default options.

For entering a new appointment, just click the 'Add new' button. After adding all data, please click 'Save Entry' to write the new entry to your data base file.

'Path Settings'

Here you can select the path for your data base file and for the history file. This folder is taken automatically, but if you want to have it on a different please, just change it here. You can also click on the 'Use Program Folder' check box which could make sense if you install the program on a USB stick. Anyway, most users will not need this option very often.

'Options'

In the upper part of the screen you can determine if non-regular entries should be deleted after displaying a reminding message. Below this you can select your favourite colours for the list view.

The next check box should be set as long as you still have important dates and appointments in the future. If you want to have the program started with Windows automatically, you will see the program icon in the systray at the right bottom of the screen. Then you know that background control is activated. You can click the icon to open the program window or to close it. For a reminding message the program screen will be displayed automatically. The next check box allows you to log all changes you make to a history file that can be accessed from the Functions Menu. Another check box lets you decide if you want to start the program in full screen mode automatically or not and a last one allows you to configure reminding messages to backup your calendar database which will appear on program start after a time period defined by you.

Below this you will find an option to switch between different time formats. Since the program is used by customers all over the world it could make sense that you change this format to your local preferences.

Checking reminding messages

You want to see a reminding message before the reminding time is reached? You can always do so from the 'Show Entry' button on the 'Add / Edit Entry' dialog. Or, to get it in 'real time', just activate a reminding time in the 'Add/Edit data' screen and enter a time in a minute. Switch to the 'Overview' screen and wait until this time is reached.


Menu

File

Minize to Systray
Main screen will be closed, but the program will run in the background which can be checked from the systray icon at the right bottom of the screen.

Print Appointments
Please select a printer in the screen that is displayed here, make your settings and start to print out your data on your local printer or via network.

Export Appointments to *.txt / *.csv / *.sqlite file
Maybe you want to use your appointments in another program. These export features allow you to create a *.txt file, a *.csv file or an *.sqlite file of your current data. For security reasons you should use this function from time to time. Exported *.sqlite data can be re-imported easily just by modifying the data base path to this exported file from the 'Options' screen by the way.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

View

Overview / Add+Edit data / Path Settings / Options
Here you can easily switch between the tabs. This has the same effect as it is described in the main screen chapter.

Functions

Show History File
If the history feature was activated from the Options screen you will see a list of everything you added, modified or deleted in the past. This history file opens in Notepad so you can do your own modifications here easily if necessary.

Delete History File
When you decide not to keep the data in the history you can use this option to remove everything from the history file.

Wipe History File
When you decide not to keep the data in the history you can use this option to erase everything completely from the history file in a way that it can not be recovered later by any undelete tool.

Print History File
By using this feature you can get your appointment changes printed on paper. Just select a printer which can be a local one as well as a network printer and click on 'OK'.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm